Skip to navigation

[BETA] Get all release templates.

View as Markdown

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Returns a list of release templates scoped to the project. Use include=root to also include global release templates.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Query parameters

includestringOptional

Whether the response should include global release templates in addition to the release templates scoped to the project. Use include=root to include global release templates in the response. Without it, only release templates scoped to the project are returned.

Response

#/components/schemas/releasePlanTemplatesSchema

idstring

The release plan/template's ID. Release template IDs are ulids.

discriminatorenum
A field to distinguish between release plans and release templates.
Allowed values:
namestring
The name of the release template.
createdByUserIddouble

Release template: The ID of the user who created this template.

createdAtstringformat: "date-time"
The date and time that the release template was created.
descriptionstring or nullOptional
A description of the release template.
projectstring or nullOptional

The project this release template belongs to. null for global release templates available in all projects.

milestoneslist of objectsOptional
A list of the milestones in this release template.
archivedAtstring or nullOptionalformat: "date-time"
The date and time that the release template was archived.

Errors

401
Unauthorized Error